Menu

## HasAction extends Constraint
in package

HasAction.php : 12

### Table of Contents

$actionParams : array<string|int, mixed>
$groupTitle : string|null
__construct() : mixed
count() : int
evaluate() : bool|null
toString() : string
searchAction() : Action|null

### Properties

#### $actionParams

HasAction.php : 15
`private array<string|int, mixed> $actionParams`

#### $groupTitle

HasAction.php : 16
`private string|null $groupTitle = null`

### Methods

#### __construct()

HasAction.php : 14
`public __construct(array<string|int, mixed> $actionParams[, string|null $groupTitle = null ]) : mixed`

##### Parameters

$actionParams : array<string|int, mixed>
$groupTitle : string|null = null

##### Return values

mixed —

#### count()

HasAction.php : 21
`public count() : int`

##### Return values

int —

#### evaluate()

HasAction.php : 35
`public evaluate(mixed $other[, string $description = '' ][, bool $returnResult = false ]) : bool|null`

##### Parameters

$other : mixed
$description : string = ''
$returnResult : bool = false

##### Return values

bool|null —

#### toString()

HasAction.php : 26
`public toString() : string`

##### Return values

string —

#### searchAction()

HasAction.php : 54
`protected searchAction(Viewpoint $viewpoint, array<string|int, mixed> $actionParams[, string|null $groupTitle = null ]) : Action|null`

##### Parameters

$viewpoint : Viewpoint
$actionParams : array<string|int, mixed>
$groupTitle : string|null = null

##### Return values

Action|null —

## Search results